module PortableDebugger; end

# Should work with floats (2.0, 2.1)
def execute_if_ruby_version( version, &block )
  if RUBY_VERSION =~ /^#{version}/
    yield
  end
end


# This should be more advanced, but I don't use much beyond the 'debugger' keyword.
execute_if_ruby_version( 2 ) do
  require "byebug"
  alias :debugger :byebug
end

execute_if_ruby_version( 1 ) do
  require "debugger"
  alias :byebug :debugger
end